%global gem_name clouddb 

Name:		rubygem-%{gem_name}
Version:	0.0.1
Release:	7%{?dist}
Summary:	This is a Ruby interface into the Rackspace Cloud DB service

Group:		Development/Languages
License:	MIT
URL:		http://rubygems.org/gems/clouddb
Source0:	http://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildRequires:  ruby(release)
BuildRequires:	rubygems-devel
Requires:	ruby(release)
Requires:	rubygem(typhoeus)
Requires:	ruby(rubygems)
Requires:	rubygem(json)
BuildArch:	noarch
Provides:	rubygem(%{gem_name}) = %{version}

%description
A Ruby API to manage the Rackspace Cloud Databases product

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
mkdir -p ./%{gem_dir}

gem build %{gem_name}.gemspec

gem install -V \
	--local \
	--install-dir ./%{gem_dir} \
	--bindir ./%{_bindir} \
	--force \
	--rdoc \
	%{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
# Remove the unneeded shebang.
sed -i '1d' %{buildroot}%{gem_libdir}/clouddb.rb

%files
%dir %{gem_instdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.yardoc
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/clouddb.gemspec
%doc %{gem_instdir}/COPYING
%{gem_libdir}
%{gem_spec}

%files doc
%doc %{gem_instdir}/README.rdoc
%doc %{gem_docdir}

%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.0.1-6
- remove ruby(abi)
* Wed Mar 13 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.0.1-5
- Updated new spec packaging rules
- fix release version
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 11 2013 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.0.1-3
- Fix date error
- Fix documentation dir warning
* Sun Dec 31 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.0.1-2
- Fix spec mixup
* Sun Dec 30 2012 Alejandro Pérez <aeperezt@fedoraproject.org> - 0.0.1-1
- Initial package

